apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: argocd
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: 'https://argoproj.github.io/argo-helm'
    targetRevision: 8.* 
    helm:
      parameters:
        - name: 'server.extraArgs[0]'
          value: '--insecure'
        - name: server.ingress.enabled
          value: 'true'
        - name: 'endpoint'
          value: 'argocd.innovation-hub-niedersachsen.de'
        - name: 'ingress.hosts[0]'
          value: 'argocd.innovation-hub-niedersachsen.de'
        - name: 'global.networkPolicy.create'
          value: 'true'
        - name: 'crds.keep'
          value: 'false'
        - name: 'ingress.tls[0].hosts[0]'
          value: argocd.innovation-hub-niedersachsen.de
        - name: ingress.annotations."traefik\.ingress\.kubernetes\.io\/router\.entrypoints"
          value: websecure
        - name: ingress.annotations."kubernetes\.io\/ingress\.class"
          value: traefik
        - name: ingress.annotations."traefik\.ingress\.kubernetes\.io\/router\.tls"
          value: 'true'
    chart: argo-cd
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: argocd
  syncPolicy:
    automated:
      selfHeal: true
      prune: true
    syncOptions:
      - CreateNamespace=true